import processing.serial.*;

import ddf.minim.*;
import ddf.minim.analysis.*;
import ddf.minim.signals.*;

Minim minim;
AudioPlayer song;

Serial serial;
int S1, S2, S3, S4, S5;


void setup() { 

  minim = new Minim(this);
  println(serial.list());
  serial = new Serial(this, Serial.list()[2], 9600);  

  int start = millis();
  while (millis () < start + 1000) {
  }
} 

void draw() { 
  if (serial.available() > 0) {
    //println(serial.read());
    S1 = serial.read();
    S2 = serial.read();
    S3 = serial.read();
    S4 = serial.read();
    S5 = serial.read();



    fill(255);
    if (S1 == 1) {
      song = minim.loadFile("Do.mp3");
      song.play();
    }


    if (S2 == 2) {
      song = minim.loadFile("Re.mp3");
      song.play();
    }



    if (S3 == 3) {
      song = minim.loadFile("Mi.mp3");
      song.play();
    }



    if (S4 == 4) {
      song = minim.loadFile("Ra.mp3");
      song.play();
    }



    if (S5 == 5) {
      song = minim.loadFile("Si.mp3");
      song.play();
    }
  }
}